Subject: Re: BerkeleyDB 2.7.7
From: Nicholas Wourms <[email-masked]>
To: "Steven O'Brien" <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Jun 2002 09:37:26 -0700 (PDT)

Steve,

Good catch!  Arrrrrggghh.  I'm sorry I thought I had reverted to the
official dll before building it.  I must have still had the cygserver
branch installed or some stale headers.  I'll have it fixed soon and
upload a new package.  I suppose I had best setup a cleanroom
implementation of cygwin to build my release packages on.

Cheers,
Nicholas

P.S. - I'm probably going to let it link against libiconv, does anyone
object to this?

--- Steven O'Brien <[email-masked]> wrote:
> Hi
> I have been trying to update my cygwin gnome port with the recent rush
> of cygwin updates, and have hit on a problem with db-2.7.7
> 
> I can compile OK against it, but programs linked to it fail to start
> with the windows pop-up message:
> "The procedure entry point shmat could not be located in the dynamic
> link library cygwin1.dll"
> 
> I do not see this when I revert to my own ports of db-4.0.14 or
> db-2.7.7. Is it possible that the cygwin db-2.7.7 was linked against an
> "unofficial" cygwin1.dll?
> 
> I have checked that same error occurs with cygwin1.dll 1.3.10, 1.3.11
> and the latest snapshot, hence my suspicion that db was packaged against
> some private build that exports the sysv ipc functions.
> 
> Steven
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/